# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Class/Std/Utils.pm) perl(Config/IniFiles.pm) perl(Data/Dumper.pm) perl(Date/Manip.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Tail.pm) perl(File/Temp.pm) perl(IO/File.pm) perl(Log/Log4perl.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(XML/Writer.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_name Log-Statistics
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.051
Release: alt1
Summary: near-real-time statistics from log files
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VV/VVU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Log::Statistics is a module for collecting summary data from a log file.
For examples of what can be done with Log::Statistics, see the code and
documentation in scripts/logstatsd.  logstatsd contains a prototype
implementation of several features which will eventually be migrated
from scripts/logstatsd.

The basic usage is to begin by creating a new Log::Statistics object.
Next, register each field name that you want to collect data about,
indicating which column that data is in.  Next, add fields or groups
of fields for which you wish to collect statistics.  Finally, use
parse_text to add multiple entries or parse_line to a single entry.

This module is alpha quality code, and is still under development.  A
number of the features currently implemented in logstatsd will
eventually find their way back here.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/L*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.051-alt1
- initial import by package builder

